/**********************************************************************************
* This is an Arduino library for the display module families
* TFT2428T, TFT50D and TFT60D from XV-Display.de
*
* Revision 1
*
* Recommended development environment:
* Arduino environment
* ---> http://arduino.cc/en/Main/Software
* E.g. one of following Boards:
* Arduino Mega 2560 R3
* ---> http://mikrocontroller-praxis.de/de/Development-Tools/Arduino/Arduino-Mega-2560.html
* Arduino Uno Rev3
* ---> http://mikrocontroller-praxis.de/de/Development-Tools/Arduino/Arduino-Uno-Rev3.html
* ITEADUINO MEGA 2560
* ---> http://mikrocontroller-praxis.de/de/Development-Tools/Arduino/ITEADUINO-MEGA-2560.html
* 
* We invests time and resources providing this open source code,
* please support www.avr-praxis.de and open-source hardware
* by purchasing products from www.mikrocontroller-praxis.de!
* 
* Written by Dirk Rodenhausen (dirk at avr-praxis.de)
* 
* Our webpages:
* http://www.avr-praxis.de
* German discussion forum related to AVR microcontroller family.
* http://www.mikrocontroller-praxis.de
* Onlineshop where you can purchase the XV-Display display modules and
* Arduino boards
* http://www.dev-tools.de
* Further resources of products available from www.mikrocontroller-praxis.de.
* 
* 
* BSD license, all text above must be included in any redistribution.
* Please read the License.txt file. 
* AVR is a registered trademark of Atmel corporation.
**********************************************************************************/

    /***
    Display module width an height in portrait mode
    ***/

    #define DISPLAY_MODULE_WIDTH  240
    #define DISPLAY_MODULE_HEIGHT 320


    /***
      Touchpanel
     
      If touchpanel enabled:
      TINT pin will be configurated as input with pullup resistor activated.
     
      If touchpanel not enabled:
      TINT pin is not assigned to display module and free for use in your application
    ***/

    #define DISPLAY_USE_TOUCHPANEL true  // true or false

    /***
    Software SPI
    Configuration of hardware related section for AVR microcontroller
    ***/    

        /***
        Display SPI Signal assignment
        ***/
        	
        #define DISPLAY_SPI_MISO         11
        #define DISPLAY_SPI_MOSI         12
        #define DISPLAY_SPI_SCK          7


        /***
        Display Control Signal assignment   
        ***/

        #define DISPLAY_SIGNAL_BUSY      8
        #define DISPLAY_SIGNAL_CS        9
        #define DISPLAY_SIGNAL_TINT      10  // only assigned if touchpanel enabled










